Author Topic: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???  (Read 8886 times)

Dariusz Piatkowski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 13
  • -Receive: 8
  • Posts: 481
    • View Profile
Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« on: April 20, 2018, 04:19:23 pm »
OK, what is happenning here??? LOL  :o

FF 45.9.0 (rel-3 I believe), which brought us up to GA 1.1 was published 2 days ago, yet the forum is DEAD QUIET...you people are starting to freak me out...!!!

C'mon, get out there, install, is the result better then previous releases? https://github.com/bitwiseworks/mozilla-os2/releases

Truth be told, other than the email notification I get on the testers' list, I did not see any other announcements...so I figured I'd post here. I did the d/l through the above link, as a ZIP file, un-packed to a non-RPM location, I do not see the official RPM package out yet, but then again, I am only looking at the public netlabs-rel repo.

Anyways, it's out there...check it out, I figured I'd give it a few days' worth of runtime before sharing my assessment with the wider audience of the forum.

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 16
  • Posts: 335
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #1 on: April 20, 2018, 04:42:33 pm »
I've tried it yesterday on one system only and it traps at loading xul.dll. Even PMDll traps on examining xul.dll.

Because all .rpm packages are present and no double files exist, I'm not motivated to try more. I decided to give it another chance when the firefox.rpm will be available, but I'm sure that it won't work as well. Note that I haven't tried the GA 1 version before, because people wrote that it has severe problems.

I'm using SeaMonkey, so I install Firefox only for testing. I'll try it on other systems, but first they have other problems.

Matt Walsh

  • Newbie
  • *
  • Thank You
  • -Given: 3
  • -Receive: 1
  • Posts: 28
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #2 on: April 20, 2018, 04:52:37 pm »
I"m using the 10/04/17 Version and it's sometimes better than the prior version, but still not perfect and I have a bank site that won't run on it.  The 7 zip format is a pain as simple minded me can't figure out how to unzip 7Z files.  What a pain.  And Arca doesn't have it as an RPM yet over a year after initial release.  Oh well, we soldier on to keep functioning.
Matt Walsh

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 112
  • Posts: 1644
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #3 on: April 20, 2018, 04:58:41 pm »
I've been waiting for the RPM, which I thought would be available on arcanoae-exp by now. It's where the previous RPM's have been published.
For those who missed it, the announcement is here, https://github.com/bitwiseworks/mozilla-os2/releases/tag/FIREFOX_45_9_0esr_RELEASE_OS2_GA1_1.

Dariusz Piatkowski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 13
  • -Receive: 8
  • Posts: 481
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #4 on: April 20, 2018, 05:28:07 pm »
Hey Matt,

...The 7 zip format is a pain as simple minded me can't figure out how to unzip 7Z files.  What a pain...

What zip/unzip util are you using?

My ZipCntrl app can't handle 7z either, but luckily ArchiveViewer can and you can get it here => http://www.altsan.org/programming/os2/arcview_22.wpi

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 16
  • Posts: 335
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #5 on: April 20, 2018, 05:43:34 pm »
The 7 zip format is a pain as simple minded me can't figure out how to unzip 7Z files.  What a pain.
No problem: 7z.exe x -o<dest_dir> <7z_file>

You may also want to add the option -y to assume Yes on all queries.

With ArcaOS, you also have the option to use the OEM version of Zippy. (Don't remember its name on ArcaOS.) Using .7z here is reasonable due to the download size and time.

Doug Clark

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 99
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #6 on: April 20, 2018, 08:52:55 pm »
I am trying to install the RPM_REQUIREMENTS and received this error message

I ran yum install hunspell-1.6.2-1.oc00.i686

and received this message
-----------------------

  Installing : hunspell-1.6.2-1.oc00.i686                                   1/2
  Installing : hunspell-en-US-0.20140811.1-1.oc00.noarch                    2/2

Rpmdb checksum is invalid: dCDPT(pkg checksums): hunspell-en-US.noarch 0:0.20140811.1-1.oc00 - u

--------------------

I have received this "Rpmdb checksum is invalid:... " message a number of times when trying to install other packages - for example when installing the required packages for VLC 3.0.1

I assume  "checksum invalid" is not a good thing.




Dariusz Piatkowski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 13
  • -Receive: 8
  • Posts: 481
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #7 on: April 20, 2018, 08:59:50 pm »
Doug,

I am trying to install the RPM_REQUIREMENTS and received this error message
...
I have received this "Rpmdb checksum is invalid:... " message a number of times when trying to install other packages - for example when installing the required packages for VLC 3.0.1

I assume  "checksum invalid" is not a good thing.

Actually, as it happens I'm seeing this at command line as well, and it is known NOT to be a problem, meaning, the RPM packge should have installed successfully.

On the other hand, if you install through the ANPM app it will handle this error/warning message and you will not see it.

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 16
  • Posts: 335
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #8 on: April 20, 2018, 09:29:39 pm »
Rpmdb checksum is invalid: dCDPT(pkg checksums)
That message can be ignored. See here: http://trac.netlabs.org/rpm/ticket/117

BTW: It is filtered out in ANPM.

Greg Pringle

  • Full Member
  • ***
  • Thank You
  • -Given: 6
  • -Receive: 2
  • Posts: 111
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #9 on: April 20, 2018, 10:59:55 pm »
0042_01.TRP

Dies on XUL

All "required" elements are loaded.

This note is being written with 45.9.0.2

Seems the developers must be old IBM guys. They would write great programs with terrible installers.

Rolf Gachnang

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 7
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #10 on: April 20, 2018, 11:18:26 pm »
Firefox 45.9.0-3 works for me
It works slightly better than 45.9.0-2

Simply unzip with Arcview.exe v2.2 by Alex Taylor (7z.exe, 7z.dll, 7za.exe) and overwrite existing installation 45.9.0-2 (...\usr\bin, ...\usr\lib)

Rolf

Eugene Tucker

  • Newbie
  • *
  • Thank You
  • -Given: 7
  • -Receive: 3
  • Posts: 46
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #11 on: April 21, 2018, 03:14:53 pm »
Works here good for me. Except it still will not play Youtube videos. No other problems to report at this point. I do suggest you check the list that is provided of dependent software.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 112
  • Posts: 1644
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #12 on: April 21, 2018, 04:42:32 pm »
Works here good for me. Except it still will not play Youtube videos.

Hmm, you're right, just seems to hang. Even the ads, while showing the first frame, didn't play and I believe they're often MP4. Youtube did suggest restarting my device, and with SM, TB and FF all running at the same time, I could be having resource problems and will try rebooting
I did successfully play a video from Canada's National Film Board.

Another problem here seems to be that Firefox isn't completely closing, icon stays hatched and it still shows in the CAD window list.

This is the 7z that I'm using, unzipped over previous install.

Edit: rebooting and just running Firefox has the same results.
« Last Edit: April 21, 2018, 05:16:51 pm by Dave Yeo »

Matt Walsh

  • Newbie
  • *
  • Thank You
  • -Given: 3
  • -Receive: 1
  • Posts: 28
    • View Profile
Re: Firefox - 45.9.0 for OS/2 GA1.1...Thanks, got it working
« Reply #13 on: April 21, 2018, 05:33:40 pm »
Thanks guys, after reading directions for arcview several times and updateing dlls I got it working and it does seem a bit better than prior.

Matt W

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 7
  • -Receive: 22
  • Posts: 380
    • View Profile
    • Blonde Guy
Re: Firefox - 45.9.0 for OS/2 GA1.1...anyone...anyone???
« Reply #14 on: April 21, 2018, 06:05:38 pm »
I think I'm running the -3 browser, but is there a way to show that this version is different than the previous version?

Help-About just says this is 45.9.0, just as the previous version did.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com